Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI/Application.pm) perl(CGI/Application/Server.pm) perl(English.pm) perl(Socket.pm) perl(base.pm) perl(inc/Module/Install.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Module-Starter-Plugin-CGIApp
Version:        0.44
Release:        alt2_11
Summary:        Template based module starter for CGI apps
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Module-Starter-Plugin-CGIApp
Source0:        https://cpan.metacpan.org/authors/id/J/JA/JALDHAR/Module-Starter-Plugin-CGIApp-%{version}.tar.gz
# https://github.com/jaldhar/Module-Starter-Plugin-CGIApp/pull/3
Patch0:         Module-Starter-Plugin-CGIApp-0.44-starter.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(File/Copy/Recursive.pm)
BuildRequires:  perl(File/DirCompare.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Module/Signature.pm)
BuildRequires:  perl(Module/Starter.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/MockTime.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/WWW/Mechanize/CGIApp.pm)
BuildRequires:  perl(Time/Piece.pm)
BuildRequires:  perl(Titanium.pm)
Requires:       perl(Module/Starter.pm) >= 1.710


# Remove under-specified dependencies:

Source44: import.info
%filter_from_requires /^perl(Module.Starter.pm)/d

%description
This is a plugin for Module::Starter that builds you a skeleton
CGI::Application module with all the extra files needed to package it for
CPAN. You can customize the output using HTML::Template.

%prep
%setup -q -n Module-Starter-Plugin-CGIApp-%{version}
%patch0 -p1


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install --destdir $RPM_BUILD_ROOT  create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?!_with_signature_test:rm t/00-signature.t}
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*
%{_bindir}/cgiapp-starter
%{_bindir}/titanium-starter
%{_mandir}/man1/cgiapp-starter.1*
%{_mandir}/man1/titanium-starter.1*

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_11
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_9
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_8
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_7
- update to new release by fcimport

* Mon Oct 02 2017 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt2_6
- rebuild to get rid of unmets

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_6
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_4
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_1
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_6
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_3
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_1
- fc import

